Justin Hagstrom Auto Directory Index 1.2.3 - Cross-Site Scripting Vulnerability

2003-11-17T00:00:00
ID EDB-ID:23386
Type exploitdb
Reporter David Sopas Ferreira
Modified 2003-11-17T00:00:00

Description

Justin Hagstrom Auto Directory Index 1.2.3 Cross-Site Scripting Vulnerability. Webapps exploit for php platform

                                        
                                            source: http://www.securityfocus.com/bid/9056/info


It has been reported that Auto Directory Index is prone to a cross-site scripting vulnerability. The issue is reported to exist due insufficient sanitization of user-supplied data through the 'dir' parameter, which will then be included in a dynamically generated web page. The problem may allow a remote attacker to execute HTML or script code in the browser of a user following a malicious link created by an attacker.

Auto Directory Index version 1.2.3 is reported to be prone to this issue, however other versions may be affected as well. 

http://www.example.com/index.php?dir=<script>malicious_code</script>